[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.OnIsDataEqual

Event to compare 2 items.

## Declaration

Source position: cachecls.pp line 94

`public property TCache.OnIsDataEqual : TOnIsDataEqual read FOnIsDataEqual write FOnIsDataEqual;`

## Description

OnIsDataEqual is used by FindSlot and IndexOf to compare items when looking for a particular item. These functions are called by the Add method. Failing to set this event will result in an exception. The function should return True if the 2 data pointers should be considered equal.

## See also

TCache.FindSlot |  | Find data pointer in the list
TCache.IndexOf |  | Return index of a data pointer in the list.
TCache.Add |  | Add a data element to the list.